<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: PlayerStats Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classPlayerStats-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">PlayerStats Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for PlayerStats:</div>
<div class="dyncontent">
<div class="center"><img src="classPlayerStats__inherit__graph.png" border="0" usemap="#aPlayerStats_inherit__map" alt="Inheritance graph"/></div>
<map name="aPlayerStats_inherit__map" id="aPlayerStats_inherit__map">
<area shape="rect" title=" " alt="" coords="23,80,119,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for PlayerStats:</div>
<div class="dyncontent">
<div class="center"><img src="classPlayerStats__coll__graph.png" border="0" usemap="#aPlayerStats_coll__map" alt="Collaboration graph"/></div>
<map name="aPlayerStats_coll__map" id="aPlayerStats_coll__map">
<area shape="rect" title=" " alt="" coords="23,80,119,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:ad435d3407e9f6492d06c21a0f1cf4d60"><td class="memItemLeft" align="right" valign="top"><a id="ad435d3407e9f6492d06c21a0f1cf4d60"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onTreasureClicked</b> (<a class="el" href="classTreasure.html">Treasure</a> *)</td></tr>
<tr class="separator:ad435d3407e9f6492d06c21a0f1cf4d60"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:ac05f97ecdbd651081dde876745728336"><td class="memItemLeft" align="right" valign="top"><a id="ac05f97ecdbd651081dde876745728336"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clickedTreasueInPlayeStats</b> (<a class="el" href="classTreasure.html">Treasure</a> *, <a class="el" href="classPlayerStats.html">PlayerStats</a> *)</td></tr>
<tr class="separator:ac05f97ecdbd651081dde876745728336"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad683ddc21db3b8c1d7982cf494a8dacc"><td class="memItemLeft" align="right" valign="top"><a id="ad683ddc21db3b8c1d7982cf494a8dacc"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>PlayerStats</b> (<a class="el" href="classPlayer.html">Player</a> *, bool deepCopy=false)</td></tr>
<tr class="separator:ad683ddc21db3b8c1d7982cf494a8dacc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf9b17dd888c5b8701ad8c3d29998887"><td class="memItemLeft" align="right" valign="top"><a id="abf9b17dd888c5b8701ad8c3d29998887"></a>
<a class="el" href="classPlayer.html">Player</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>getPlayer</b> ()</td></tr>
<tr class="separator:abf9b17dd888c5b8701ad8c3d29998887"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8313998a9f1b75143492278bfbde8e30"><td class="memItemLeft" align="right" valign="top"><a id="a8313998a9f1b75143492278bfbde8e30"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>addTreasureToPlayer</b> (<a class="el" href="classTreasure.html">Treasure</a> *)</td></tr>
<tr class="separator:a8313998a9f1b75143492278bfbde8e30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8010a8c7f316e416a0e73886f55c5ea"><td class="memItemLeft" align="right" valign="top"><a id="af8010a8c7f316e416a0e73886f55c5ea"></a>
<a class="el" href="classTreasure.html">Treasure</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>takeTreasureFromPlayer</b> (<a class="el" href="classTreasure.html">Treasure</a> *)</td></tr>
<tr class="separator:af8010a8c7f316e416a0e73886f55c5ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7639abc9a871ab775a983a4c353e073e"><td class="memItemLeft" align="right" valign="top"><a id="a7639abc9a871ab775a983a4c353e073e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>repositionTreasure</b> ()</td></tr>
<tr class="separator:a7639abc9a871ab775a983a4c353e073e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63aabe63bce86ed71a8e6d6890a8bdf7"><td class="memItemLeft" align="right" valign="top"><a id="a63aabe63bce86ed71a8e6d6890a8bdf7"></a>
QRectF&#160;</td><td class="memItemRight" valign="bottom"><b>boundingRect</b> () const</td></tr>
<tr class="separator:a63aabe63bce86ed71a8e6d6890a8bdf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45af9e03e6a642b278296d71d9e32852"><td class="memItemLeft" align="right" valign="top"><a id="a45af9e03e6a642b278296d71d9e32852"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>paint</b> (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)</td></tr>
<tr class="separator:a45af9e03e6a642b278296d71d9e32852"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/<a class="el" href="playerstats_8h_source.html">playerstats.h</a></li>
<li>src/playerstats.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
